POST/v1/webhooks/{id}/test

Send a test event

Delivers a webhook.test envelope to the endpoint through the normal delivery path.

Scope webhooks.manage

Path parameters

idstringrequired

Returns

15 fields of the 201 answer
idstringrequired
endpointIdstringrequired
eventIdstringrequired
eventTypeenumrequired
item.createditem.needs_attentionitem.helditem.readyitem.pending_approvalitem.scheduleditem.in_productionitem.handed_to_carrieritem.completeditem.returneditem.not_sentitem.faileditem.cancelleditem.suppressedpostbatch.validatedpostbatch.approvedpostbatch.scheduledpostbatch.completedpostbatch.cancelledimport.completedimport.failedtemplate.publishedpreview.readyqr.scannedand 7 more
originenumrequired
DISPATCHREPLAYTEST
attemptintegerrequired
statusenumrequired
PENDINGSUCCEEDEDFAILEDEXHAUSTED
responseCodeinteger or nullrequired
durationMsinteger or nullrequired
errorstring or nullrequired
nextAttemptAtdate-time or nullrequired
deliveredAtdate-time or nullrequired
attemptsarray of objectsrequired
6 fields
attemptintegerrequired
atdate-timerequired
statusenumrequired
SUCCEEDEDFAILED
responseCodeinteger or nullrequired
durationMsintegerrequired
errorstring or nullrequired
payloadobjectrequired
7 fields
idstringrequired
typeenumrequired
item.createditem.needs_attentionitem.helditem.readyitem.pending_approvalitem.scheduleditem.in_productionitem.handed_to_carrieritem.completeditem.returneditem.not_sentitem.faileditem.cancelleditem.suppressedpostbatch.validatedpostbatch.approvedpostbatch.scheduledpostbatch.completedpostbatch.cancelledimport.completedimport.failedtemplate.publishedpreview.readyqr.scannedand 7 more
versionintegerrequired
createdAtdate-timerequired
organisationIdstringrequired
isTestbooleanrequired
dataobjectrequired
createdAtdate-timerequired

Responses

201Success
401Authentication required or API key invalid
403Permission or scope missing, organisation suspended
404Not found
429Rate limited for this API key and class; wait Retry-After seconds
otherError (RFC 9457 problem details)